Subject: Re: IPP> FAQ - How should the server behave?

From: [email-masked]
Date: Wed, 11 Feb 1998 08:42:07 +0100

>Carl (or anyone else),

>Perhaps I wasn't asking the right question, or wasn't being
>explicit enough, so let me re-ask the question.

>Is IPP currently defined such that the "server-error-service-unavailable"
>(0x0502) error code is used EXCLUSIVELY for the "server too busy
>to accept your request" condition?

>In particular, I am hoping this (or some other IPP error code)
>can be used in an unoverloaded way to precisely mean one thing,
>and not a bushel-basket of various conditions.

 >...jay

If the "server-error-service-unavailable" (0x0502) error code means
"server too busy to accept your request" I think the error code should say
"server-warning-service-busy" or something like. However, I understands
that
the error code is the HTTP error code and in such case may the
"server-error-service-unavailable" (0x0502) error code means that no
IPP server is present at all!
I can't see it's an error the IPP server is busy, it's a normal condition.

/HOLST

___________________________________________________________
 Henrik Holst
 Software engineer - developing embedded Printservers
 i-data International
 Vadstrupvej 35-43, 2880 Bagsvaerd, Denmark
 Voice:  (+45) 44366271
 Fax:    (+45) 44366111
 Email:  [email-masked]
 WEB:    www.i-data.com